%global driver sx
%global revision 1788
%global date 20141110
%global checkout %{date}svn%{revision}


Name:           indi-%{driver}
Version:        0.9.9
# Post-Release checkout containing some improvements
Release:        4.%{checkout}%{?dist}
Summary:        INDI driver providing support for Starlight Xpress devices

License:        GPLv2+
URL:            http://indilib.org/
# Checkout from upstream svn
# svn export -r %{revision} svn://svn.code.sf.net/p/indi/code/trunk/3rdparty/indi-%{driver} %{name}-%{version}.%{checkout}
# tar -cJvf %{name}-%{version}.%{checkout}.tar.xz %{name}-%{version}.%{checkout}
Source0:        %{name}-%{version}.%{checkout}.tar.xz

BuildRequires:  cfitsio-devel
BuildRequires:  cmake
BuildRequires:  libindi-devel
BuildRequires:  libindi-static
BuildRequires:  libusb-devel
BuildRequires:  systemd
BuildRequires:  zlib-devel

Requires:       udev

%description
INDI driver providing support for devices from Starlight Xpress. This includes
SX CCDs, SX wheel and SX Active Optics. 


%prep
%setup -q -n%{name}-%{version}.%{checkout}
# For Fedora we want to put udev rules in %{_udevrulesdir}
sed -i 's|/lib/udev/rules.d|%{_udevrulesdir}|g' CMakeLists.txt

%build
%cmake
make %{?_smp_mflags}


%install
make install DESTDIR=%{buildroot}


%files
%doc AUTHORS README
%{_bindir}/indi_%{driver}_ao
%{_bindir}/indi_%{driver}_ccd
%{_bindir}/indi_%{driver}_wheel
%{_bindir}/%{driver}_ccd_test
%{_datadir}/indi/indi_%{driver}.xml
%{_udevrulesdir}/99-sx.rules


%changelog
* Mon Nov 10 2014 Christian Dersch <lupinix@fedoraproject.org> - 0.9.9-4.20141110svn1788
- used wrong release tag, fixed

* Mon Nov 10 2014 Christian Dersch <lupinix@fedoraproject.org> - 0.9.9-1.20141110svn1788
- update to svn revision 1788 fixing a bug (dark frames with closed shutter on SXVR H18)

* Sat Oct 25 2014 Christian Dersch <lupinix@fedoraproject.org> - 0.9.9-3.20141025svn1784
- removed checkout macro from changelog

* Sat Oct 25 2014 Christian Dersch <lupinix@fedoraproject.org> - 0.9.9-2.20141025svn1784
- spec adjustments (consistently using udevrulesdir macro now)

* Sat Oct 25 2014 Christian Dersch <lupinix@fedoraproject.org> - 0.9.9-1.20141025svn1784
- initial spec
